> ## Documentation Index
> Fetch the complete documentation index at: https://api-portal.etoro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Places a Market-if-touched order (similar to Limit order) to open a position when a threshold price is reached.

> Deprecated: This endpoint is no longer present in the current eToro Public API Swagger. Prefer the current replacement endpoints where available.

A Market-if-touched order is an order to open a new long or short position when a specific price or better appears in the Market. The price threshold is used to trigger a Market Order. This endpoint allows traders to set up Market-if-touched orders with parameters like leverage, stop-loss, and take-profit settings.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/trading/execution/demo/limit-orders
openapi: 3.0.1
info:
  title: eToro Api
  version: v1.206.0
  description: >-
    eToro’s public API provides access to real-time financial data, trading
    insights, and account management features, allowing developers to integrate
    eToro’s services into their applications. With access to market prices,
    historical data, and social trading information, the API empowers users to
    enhance their trading strategies. Designed for security and scalability, the
    eToro API ensures smooth and reliable integration for a variety of financial
    applications.


    For more details on integrating with eToro's public WebSocket service,
    please refer to the dedicated [WebSocket
    documentation](./websocket/websocket-doc.html).
servers:
  - url: https://public-api.etoro.com
    description: eToro Public API
security: []
tags:
  - name: Agent Portfolios
  - name: Watchlists
  - name: Feeds
  - name: Asset Explorer
  - name: Market Data
  - name: Identity
  - name: Notifications
  - name: PI Data
  - name: Comments
  - name: Trading Demo
  - name: Trading Real
  - name: Users Info
  - name: Deprecated
paths:
  /api/v1/trading/execution/demo/limit-orders:
    post:
      tags:
        - Deprecated
      summary: >-
        Places a Market-if-touched order (similar to Limit order) to open a
        position when a threshold price is reached.
      description: >-
        Deprecated: This endpoint is no longer present in the current eToro
        Public API Swagger. Prefer the current replacement endpoints where
        available.


        A Market-if-touched order is an order to open a new long or short
        position when a specific price or better appears in the Market. The
        price threshold is used to trigger a Market Order. This endpoint allows
        traders to set up Market-if-touched orders with parameters like
        leverage, stop-loss, and take-profit settings.
      operationId: openLimitOrderDemo
      parameters:
        - name: x-request-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            example: 26fab899-92be-42c8-9d60-ca63bc08cd14
          description: A unique request identifier.
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663
          description: API key for authentication.
        - name: x-user-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: >-
              eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_
          description: User-specific authentication key.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                InstrumentID:
                  type: integer
                  format: int32
                  description: The unique identifier of the financial instrument.
                IsBuy:
                  type: boolean
                  description: >-
                    Indicates whether the order will open a long (true) or short
                    (false) position.
                Leverage:
                  type: integer
                  format: int32
                  description: The leverage ratio for the order.
                Amount:
                  type: number
                  format: double
                  nullable: true
                  description: >-
                    The amount of the trade in the account currency [USD].
                    Required if AmountInUnits is not provided.
                AmountInUnits:
                  type: number
                  format: double
                  nullable: true
                  description: >-
                    The number of units of the asset. Required if Amount is not
                    provided. For most assets this can be a fractional number.
                    Note that for Future Contracts this number should indicate
                    the number of underlying units, and not the number of
                    contracts, according to the formula: AmountInUnits =
                    contract multiplier * number of contracts.
                StopLossRate:
                  type: number
                  format: double
                  description: >-
                    The stop-loss trigger price at which the position will
                    generate a Market Order to close (after it was opened).
                    StopLoss trigger price must be worse than current price.
                TakeProfitRate:
                  type: number
                  format: double
                  description: >-
                    The take-profit trigger price at which the position will
                    generate a Market Order to close (after it has opened).
                    TakeProfit trigger price must be better than the current
                    price.
                Rate:
                  type: number
                  format: double
                  description: >-
                    The trigger price at which a Market order to open the
                    position will be sent for execution. The trigger price must
                    be better than the current price. This means that the
                    trigger price must be lower than current price for Long
                    positions, and higher than current price for Short
                    positions.
                IsTslEnabled:
                  type: boolean
                  nullable: true
                  description: >-
                    Indicates if a trailing stop loss (TSL) is enabled. This
                    means that the stoploss rate indicated will get updated
                    automatically whenever the asset price increases (for long
                    positions) or decreases (for short position) effectively
                    keeping the stoploss in a constant gap from the best price
                    achieved so far.
                IsDiscounted:
                  type: boolean
                  nullable: true
                  description: SHOULD NOT BE EXTERNALZIED
                IsNoStopLoss:
                  type: boolean
                  nullable: true
                  description: Indicates if stop-loss is disabled.
                IsNoTakeProfit:
                  type: boolean
                  nullable: true
                  description: Indicates if take-profit is disabled.
                CID:
                  type: integer
                  format: int32
                  description: SHOULD NOT BE EXTERNALIZED.
              additionalProperties: false
      responses:
        '200':
          description: >-
            Market-if-touched order successfully placed. The response includes a
            confirmation token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    format: uuid
                    description: A confirmation token indicating the order creation.
                required:
                  - token
              example:
                token: 9af05785-be29-482d-a892-9d9be4fd34bc
      deprecated: true

````